package watki.konto;

public class Przeploty {

	public static void main(String[] args) {
		Konto konto = new Konto(1, "Ala Kowalska", 1_000_000);
		System.out.println(konto);
		
		Thread wplacacz = new Thread(() -> {
			for(int i = 0; i < 100_000; i++) {
				konto.wplata(10);
			}
		});

		Thread wyplacacz = new Thread(() -> {
			for(int i = 0; i < 100_000; i++) {
				konto.wyplata(10);
			}
		});
		
		wplacacz.start();
		wyplacacz.start();
		
		// oczekiwanie na zakończenie wątku - operacja join
		try {
			wplacacz.join();
			wyplacacz.join();
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		
		System.out.println(konto);
	}

}
